# Copyright 2025 Tecnativa - Pedro M. Baeza
# License AGPL-3.0 or later (https://www.gnu.org/licenses/agpl).
from openupgradelib import openupgrade


@openupgrade.migrate()
def migrate(env, version):
    l10n_es_xmlids = [
        "mod_111_02",
        "mod_111_03",
        "mod_111_05",
        "mod_111_06",
        "mod_111_08",
        "mod_111_09",
        "mod_111_11",
        "mod_111_12",
        "mod_115_02",
        "mod_115_03",
        "mod_303_01",
        "mod_303_03",
        "mod_303_04",
        "mod_303_06",
        "mod_303_07",
        "mod_303_09",
        "mod_303_10",
        "mod_303_11",
        "mod_303_12",
        "mod_303_120",
        "mod_303_122",
        "mod_303_123",
        "mod_303_124",
        "mod_303_13",
        "mod_303_14_purchase",
        "mod_303_14_sale",
        "mod_303_15",
        "mod_303_150",
        "mod_303_152",
        "mod_303_153",
        "mod_303_155",
        "mod_303_156",
        "mod_303_158",
        "mod_303_16",
        "mod_303_165",
        "mod_303_167",
        "mod_303_168",
        "mod_303_170",
        "mod_303_18",
        "mod_303_19",
        "mod_303_21",
        "mod_303_22",
        "mod_303_24",
        "mod_303_25",
        "mod_303_26",
        "mod_303_28",
        "mod_303_29",
        "mod_303_30",
        "mod_303_31",
        "mod_303_32",
        "mod_303_33",
        "mod_303_34",
        "mod_303_35",
        "mod_303_36",
        "mod_303_37",
        "mod_303_38",
        "mod_303_39",
        "mod_303_40",
        "mod_303_41",
        "mod_303_42",
        "mod_303_59",
        "mod_303_60",
        "mod_303_61",
    ]
    openupgrade.delete_records_safely_by_xml_id(
        env, [f"l10n_es.{x}" for x in l10n_es_xmlids]
    )
